diff -ruN vdr-1.3.39/i18n.c vdr-1.3.40/i18n.c
--- vdr-1.3.39/i18n.c	2006-01-15 13:22:15.000000000 +0100
+++ vdr-1.3.40/i18n.c	2006-01-22 16:55:28.000000000 +0100
@@ -3049,7 +3070,7 @@
     "Informació del canvi de canal",
     "¿ÞÚÐ×ëÒÐâì ØÝäÞàÜÐæØî Þ ÚÐÝÐÛÕ",
     "Informacije kod promjene kanala",
-    "Kanaliteate näitamine",
+    "Kanaliinfo näitamine",
     "Info ved kanalskift",
   },
   { "Setup.OSD$Timeout requested channel info",
@@ -3061,6 +3082,8 @@
     "", // TODO
     "", // TODO
     "Sulje kanavatieto pyydettäessä",
+    "Czas oczekiwania na informacje",
+    "Auto-cerrar al solicitar info de canal",
     "", // TODO
     "", // TODO
     "", // TODO
@@ -3068,9 +3091,7 @@
     "", // TODO
     "", // TODO
     "", // TODO
-    "", // TODO
-    "", // TODO
-    "", // TODO
+    "Kanaliinfo kuvamise ajapiirang",
     "", // TODO
   },
   { "Setup.OSD$Scroll pages",
@@ -3082,8 +3103,8 @@
     "Défilement par pages",
     "Rask rulling i menyer",
     "Valikoiden vieritys sivuttain",
-    "Przesuwac stronami",
-    "Desplazar página entera",
+    "Przesuwaj stronami",
+    "Deslizar páginas enteras",
     "Êýëéóç óåëßäáò",
     "Bläddra sidor",
     "Deruleazã pagini",
@@ -3103,8 +3124,8 @@
     "Défilement rotatif",
     "",// TODO
     "Valikoiden vieritys ympäri",
-    "",// TODO
-    "",// TODO
+    "Skrajne pozycje s±siaduj±",
+    "Rotar arriba/abajo al deslizar",
     "Êýëéóç ãýñù-ãýñù",
     "Rulla texten",
     "Derulare circularã",
@@ -3123,17 +3144,17 @@
     "",// TODO
     "",// TODO
     "",// TODO
+    "Sulje valikkonäppäimellä",
     "",// TODO
+    "Cerrar al pulsar botón de menú",
     "",// TODO
+    "Klawisz Menu zamyka",
     "",// TODO
     "",// TODO
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
-    "",// TODO
-    "",// TODO
-    "",// TODO
+    "Sulgemine Menüü klahviga",
     "",// TODO
   },
   { "Setup.OSD$Sort timers",
@@ -3145,8 +3166,8 @@
     "Trier les programmations",
     "Sorter timere",
     "Järjestä ajastimet",
-    "Sortowanie timerow",
-    "Ordenar timers",
+    "Sortuj timery",
+    "Ordenar programas de grabación",
     "ÏñãÜíùóç ÷ñïíïðñïãñáììáôéóìþí",
     "Sortera timers",
     "Sortare timer-e",
@@ -3166,8 +3187,8 @@
     "Dossiers d'enregistrements",
     "Kataloger til opptak",
     "Näytä tallennehakemistot",
-    "Wykaz nagran",
-    "Gracaciones en directorios",
+    "Katalogi nagrañ",
+    "Mostrar directorios de grabaciones",
     "ÖÜêåëïé åããñáöþí",
     "Kataloger för inspelningar",
     "Directoare înregistrãri",
@@ -3187,8 +3208,8 @@
     "Inactivité avant rech. EPG (h)",
     "Ledig tid før EPG-søk (h)",
     "Ohjelmaoppaan taustapäivitys (h)",
-    "Czas do skanu EPG (h)",
-    "Tiempo hasta exploración EPG (h)",
+    "Czas skanowania EPG (h)",
+    "Tiempo de exploración de EPG (h)",
     "×ñüíïò äéÜñêåéáò åîÝôáóçò EPG óå þñåò",
     "EPG sökning timeout",
     "Interval achiziþie EPG (h)",
@@ -3208,8 +3229,8 @@
     "Niveau de correction EPG",
     "Nivå for EPG-feilretting",
     "Ohjelmaoppaan korjaustaso",
-    "Poziom bledow EPG",
-    "Nivel para arreglar EPG",
+    "Stopieñ poprawek b³êdów EPG",
+    "Nivel de corrección de EPG",
     "Âáèìüò äéüñèùóçò ïäçãïý EPG",
     "Nivå för EPG bugfix",
     "Nivel corecþie EPG",
@@ -3229,8 +3250,8 @@
     "Montrer l'EPG périmé (min)",
     "",// TODO
     "Vanha tieto näkyy (min)",
-    "",// TODO
-    "",// TODO
+    "Czas przechowywania EPG (min)",
+    "Mostrar datos antiguos de EPG (m)",
     "¸íäåéîç îåðåñáóìÝíùí ðëçñïöïñéþí (ëåðôÜ)",
     "Visa gammal information (min)",
     "Date EPG expirate cel mult (min)",
@@ -3250,7 +3271,7 @@
     "Ajuster l'heure du système",
     "Juster system-klokken",
     "Tahdista kellonaika",
-    "Ustawianie czasu",
+    "Ustawiaj czas systemowy",
     "Ajustar reloj de sistema",
     "Óõíôïíéóìüò þñáò õðïëïãéóôÞ",
     "Ställ in systemtid",
@@ -3271,8 +3292,8 @@
     "Utiliser l'heure de la chaîne",
     "Bruk klokke fra transponder",
     "Vastaanota kellonaika transponderilta",
-    "Transponder do ustawiania czasu",
-    "Transponder para reloj de sistema",
+    "U¿yj czasu z transpondera",
+    "Transponder del que tomar la hora",
     "Áíáìåôáäüôçò óõíôïíéóìïý þñáò",
     "Använd klockan från transponder",
     "Preia ora din transponder",
@@ -3292,8 +3313,8 @@
     "Langues préférées",
     "",// TODO
     "Suosikkikielet",
-    "",// TODO
-    "",// TODO
+    "Preferowanych jêzyków",
+    "Idiomas preferidos",
     "Ðñïôåéíüìåíåò ãëþóóåò",
     "Önskade språk",
     "Limbi preferate",
@@ -3313,8 +3334,8 @@
     "Langue préférée",
     "",// TODO
     "Suosikkikieli",
-    "",// TODO
-    "",// TODO
+    "Preferowany jêzyk",
+    "Idioma preferido",
     "Ðñïôåéíüìåíç ãëþóóá",
     "Önskat språk",
     "Limba preferatã",
@@ -3334,8 +3355,8 @@
     "Carte DVB primaire",
     "Hoved DVB-enhet",
     "Ensisijainen DVB-sovitin",
-    "Pierwotny interfejs DVB",
-    "Primer interface DVB",
+    "Pierwszy interfejs DVB",
+    "Interfaz DVB primario",
     "Êýñéá DVB êÜñôá",
     "Primär DVB enhet",
     "Dispozitiv DVB primar",
@@ -3355,8 +3376,8 @@
     "Format d'affichage",
     "",//TODO
     "Näyttömuoto",
-    "",//TODO
-    "",//TODO
+    "Format wy¶wietlania obrazu",
+    "Formato de visualización",
     "ÌïñöÞ áðåéêüíéóçò Âßíôåï",
     "Format för video display",
     "Formatul redãrii video",
@@ -3439,8 +3460,8 @@
     "Format vidéo",
     "TV-Format",
     "Kuvasuhde",
-    "Format telewizyjny",
-    "Formato Vídeo",
+    "Format obrazu",
+    "Formato de vídeo",
     "ÌïñöÞ ïèüíçò",
     "Video format",
     "Format video",
@@ -3460,8 +3481,8 @@
     "Utiliser le Dolby Digital",
     "",//TODO
     "Käytä Dolby Digital -ääntä",
-    "",//TODO
-    "",//TODO
+    "U¿ywaj Dolby Digital",
+    "Usar Dolby Digital",
     "×ñÞóç Þ÷ïõ Dolby Digital",
     "Använd Dolby Digital",
     "Sunet Dolby Digital",
@@ -3481,8 +3502,8 @@
     "Mettre à jour les chaînes",
     "",// TODO
     "Päivitä kanavat",
-    "",// TODO
-    "",// TODO
+    "Aktualizuj kana³y",
+    "Actualizar canales",
     "ÅíçìÝñùóç êáíáëéþí",
     "Uppdatera kanaler",
     "Actualizare canale",
@@ -3502,8 +3523,8 @@
     "noms uniquement",
     "",// TODO
     "vain nimet",
-    "",// TODO
-    "",// TODO
+    "tylko nazwy",
+    "sólo nombres",
     "ìüíï ïíüìáôá",
     "bara namn",
     "doar numele",
@@ -3523,8 +3544,8 @@
     "noms et PIDs",
     "",// TODO
     "nimet ja PID:it",
-    "",// TODO
-    "",// TODO
+    "nazwy i PID-y",
+    "nombres y PIDs",
     "Ïíüìáôá êáß PIDs",
     "namn och PID",
     "nume si PID-uri",
@@ -3532,7 +3553,7 @@
     "",// TODO
     "ÝÐ×ÒÐÝØï Ø PIDë",
     "imena i identifikatore (PIDs)",
-    "nimed ja PID-id",
+    "nimi ja PID-id",
     "navne og PIDs",
   },
   { "add new channels",
@@ -3544,8 +3565,8 @@
     "ajouter chaînes",
     "",// TODO
     "uudet kanavat",
-    "",// TODO
-    "",// TODO
+    "dodawaj nowe kana³y",
+    "añadir canales",
     "ðñïóèÞêç íÝùí êáíáëéþí",
     "lägg till nya kanaler",
     "adãugare canale noi",
@@ -3565,8 +3586,8 @@
     "ajouter transpondeurs",
     "",// TODO
     "uudet transponderit",
-    "",// TODO
-    "",// TODO
+    "dodawaj nowe transpondery",
+    "añadir transponders",
     "ðñïóèÞêç íÝïõ áíáìåôáäüôç",
     "lägg till nya transponders",
     "adãugare transpondere noi",
@@ -3586,8 +3607,8 @@
     "Langues audio",
     "",//TODO
     "Äänen kielet",
-    "",//TODO
-    "",//TODO
+    "Jêzyków d¼wiêku",
+    "Idiomas de audio",
     "Ãëþóóåò Þ÷ïõ",
     "Antal ljudspråk",
     "Limbi sunet",
@@ -3607,8 +3628,8 @@
     "Langue audio",
     "",//TODO
     "Äänen kieli",
-    "",//TODO
-    "",//TODO
+    "Jêzyk d¼wiêku",
+    "Idioma de audio",
     "Ãëþóóá Þ÷ïõ",
     "Ljudspråk",
     "Limba sunetului",
@@ -3649,8 +3670,8 @@
     "Fréquence basse LNB (MHz)",
     "LO-frekvens i lavbåndet (MHz)",
     "LNB-alataajuus (MHz)",
-    "Dolna czestotliwosc LNB (MHz)",
-    "Frecuencia baja LNB (MHz)",
+    "Dolna czêstotliwo¶æ LNB (MHz)",
+    "Frecuencia inferior del LNB (MHz)",
     "ÊÜôù LNB-Óõ÷íüôçôá (MHz)",
     "Undre LNB frekvens (MHz)",
     "Frecvnþã LNB inferioarã (Mhz)",
@@ -3670,8 +3691,8 @@
     "Fréquence haute LNB (MHz)",
     "LO-frekvens i høybåndet (MHz)",
     "LNB-ylätaajuus (MHz)",
-    "Gorna czestotliwosc LNB (MHz)",
-    "Frecuencia alta LNB (MHz)",
+    "Górna czêstotliwo¶æ LNB (MHz)",
+    "Frecuencia superior del LNB (MHz)",
     "¢íù LNB-Óõ÷íüôçôá (MHz)",
     "Övre LNB frekvens (MHz)",
     "Frecvnþã LNB superioarã (MHz)",
@@ -3691,7 +3712,7 @@
     "Utiliser le DiSEqC",
     "Bruk DiSEqC",
     "Käytä DiSEqC-kytkintä",
-    "Uzywac DiSEqC",
+    "U¿ywaj DiSEqC",
     "Utilizar DiSEqC",
     "Åíåñãïðïßçóç DiSEqC",
     "Använd DiSEqC",
@@ -3733,7 +3754,7 @@
     "Marge antérieure (min)",
     "Opptaksmargin start (min)",
     "Aloitusmarginaali (min)",
-    "Poczatkowy czas buforowy (min)",
+    "Margines na pocz±tku (min)",
     "Comenzar grabación antes (min)",
     "Ðñüóèåôïò ÷ñüíïò óôçí áñ÷Þ (ëåðôÜ)",
     "Marginal för start (min)",
@@ -3754,8 +3775,8 @@
     "Marge postérieure (min)",
     "Opptaksmargin slutt (min)",
     "Lopetusmarginaali (min)",
-    "Koncowy czas buforowy (min)",
-    "Cortar grabación después (min)",
+    "Margines na koñcu (min)",
+    "Acabar grabación después (min)",
     "Ðñüóèåôïò ÷ñüíïò óôü ôÝëïò (ëåðôÜ)",
     "Marginal för stopp (min)",
     "Marjã la oprire (min)",
@@ -3775,7 +3796,7 @@
     "Limite primaire",
     "Prioritetsgrense HovedDVB",
     "Ensisijaisen sovittimen prioriteettiraja",
-    "Pierwotny limit",
+    "Podstawowy limit",
     "Límite primario",
     "Ðñïôåýïí üñéï",
     "Primär gräns",
@@ -3784,7 +3805,7 @@
     "Límit primari",
     "¼ØÝ. ßàØÞàØâÕâ ×ÐåÒÐâÐ ÞáÝ. ãáâàÞÙáâÒÐ",
     "Standardno ogranièenje",
-    "Esmase seadme prioriteet",
+    "Esmane prioriteet",
     "Primær grænse",
   },
   { "Setup.Recording$Default priority",
@@ -3796,8 +3817,8 @@
     "Priorité par défaut",
     "Normal prioritet (Timer)",
     "Tallenteen oletusprioriteetti",
-    "Priorytet pierwotny",
-    "Prioridad predefinida",
+    "Domy¶lny priorytet",
+    "Prioridad por defecto",
     "ÐñïêáèïñéóìÝíç ðñïôåñáéüôçôá",
     "Normal prioritet",
     "Prioritate implicitã",
@@ -3817,8 +3838,8 @@
     "Durée de vie par défaut (j)",
     "Normal levetid timer (d)",
     "Tallenteen oletuselinikä (d)",
-    "Pierwotna trwalosc (d)",
-    "Duración predefinida",
+    "Domy¶lny czas ¿ycia (d)",
+    "Duración por defecto (días)",
     "ÐñïêáèïñéóìÝíç äéÜñêåéá ðáñáìïíÞò (ÇìÝñåò)",
     "Normal livstid (dagar)",
     "Timp de pãstrare predefinit (zile)",
@@ -3838,8 +3859,8 @@
     "Priorité des pauses",
     "",// TODO
     "Taukotallenteen prioriteetti",
-    "Priorytet przerwy",
-    "",// TODO
+    "Priorytet pauzy",
+    "Prioridad en modo pausa",
     "Ðñïôåñáéüôçôá äéáëåßììáôïò",
     "Prioritet för direktinspelning",
     "Prioritate pauzã",
@@ -3859,8 +3880,8 @@
     "Durée de vie des pauses (j)",
     "",// TODO
     "Taukotallenteen elinikä (d)",
-    "Okres trwania przerwy (d)",
-    "",// TODO
+    "Czas ¿ycia pauzy (d)",
+    "Duración en modo pausa (días)",
     "ÄéÜñêåéá äéáëåßìáôïò",
     "Livstid för direktinspelning (dagar)",
     "Pãstrarea emisiunilor 'pauzate' (zile)",
@@ -3880,7 +3901,7 @@
     "Utiliser le nom de l'épisode",
     "Bruk episodenavn",
     "Käytä jakson nimeä",
-    "Czy uzywac nazwe epizodu",
+    "U¿ywaj nazwy epizodu",
     "Utilizar nombre de episodo",
     "×ñÞóç ïíüìáôïò åðåéóïäßïõ",
     "Använd episodnamn",
@@ -3901,8 +3922,8 @@
     "Utiliser le VPS",
     "",// TODO
     "Käytä VPS-toimintoa",
-    "",// TODO
-    "",// TODO
+    "U¿ywaj VPS",
+    "Usar servicio VPS",
     "×ñÞóç VPS",
     "Använd VPS",
     "Utilizeazã VPS",
@@ -3922,8 +3943,8 @@
     "Marge VPS",
     "",// TODO
     "VPS-toiminnon aloitusmarginaali (s)",
-    "",// TODO
-    "",// TODO
+    "Margines VPS (s)",
+    "Margen VPS (sg)",
     "Ðåñéèþñéï VPS (ä)",
     "VPS marginal (s)",
     "Marjã de timp la utilizare VPS (s)",
@@ -3943,8 +3964,8 @@
     "Marquage enregistr. immédiats",
     "Markere direkteopptak",
     "Merkitse pikatallenne",
-    "Zaznaczyc natychm. nagranie",
-    "Marcar grabaciones instantáneas",
+    "Zaznaczaj natychm. nagrywanie",
+    "Marcar grabaciones inmediatas",
     "ÅðéëïãÞ ôñÝ÷ïõóáò åããñáöÞò",
     "Märk direktinspelning",
     "Marcheazã înregistrare imediatã",
@@ -3964,8 +3985,8 @@
     "Noms enregistr. immédiats",
     "Navngi direkteopptak",
     "Nimeä pikatallenne",
-    "Nazwac natychm. nagranie",
-    "Nombrar grabaciones instantáneas",
+    "Nazywaj natychm. nagrywanie",
+    "Nombrar grabaciones inmediatas",
     "Ïíïìáóßá ôñÝ÷ïõóáò åããñáöÞò",
     "Namnge direktinspelning",
     "Nume înregistrare imediatã",
@@ -3985,8 +4006,8 @@
     "Durée enregistr. immédiat (min)",
     "",//TODO
     "Pikatallennuksen kesto (min)",
-    "Dlugosc bezposredniego nagrania (min)",
-    "Tiempo de grabación instantánea (min)",
+    "Czas natychm. nagrywania (min)",
+    "Tiempo de grabación inmediata (min)",
     "ÄéÜñêåéá óôãìéáßáò åããñáöÞò (ëåðôÜ)",
     "Direktinspelning längd (min)",
     "Timpul de înregistare imediatã (min)",
@@ -4006,8 +4027,8 @@
     "Taille maxi des fichiers (MB)",
     "Maksimal størrelse på videofiler (MB)",
     "Suurin tiedostokoko (Mt)",
-    "Maks. wielkosc pliku (MB)",
-    "Tamaño máx. de fichero (MB)",
+    "Maksymalny rozmiar pliku (MB)",
+    "Tamaño máximo de fichero (MB)",
     "ÌÝãéóôï ìÝãåèïò áñ÷åßïõ (MB)",
     "Maximal filstorlek för inspelning (MB)",
     "Dimensiune maximã a fiºierului video (MB)",
@@ -4027,8 +4048,8 @@
     "Séparer les séquences éditées",
     "Splitt redigerte filer",
     "Jaottele muokatut tallenteet",
-    "Dzielic montowane pliki",
-    "Quebrar ficheros",
+    "Dziel edytowane pliki",
+    "Partir ficheros editados",
     "ÄéáìÝëéóìüò åðåîåñãáóìÝíùí áñ÷åßùí",
     "Dela upp redigerade filer",
     "Separare fiºiere montate",
@@ -4048,7 +4069,7 @@
     "Mode multi-vitesses",
     "Multispeed modus",
     "Käytä toiston moninopeustilaa",
-    "Tryb wielopredkosciowy",
+    "Tryb wieloprêdko¶ciowy",
     "Modo multi-velocidad",
     "Ìåèïäïò ðïëëáðëÞò ôá÷ýôçôáò",
     "Multispeed mode",
@@ -4069,8 +4090,8 @@
     "Affichage mode de lecture",
     "Vis avspillingsmodus",
     "Näytä toiston tila",
-    "Wyswietlac status odtwarzania",
-    "Mostrar modo de replay",
+    "Pokazuj tryb odtwarzania",
+    "Mostrar modo de reproducción",
     "¸íäåéîç êáôÜóôáóçò áíáìåôÜäïóçò",
     "Visa uppspelningsläge",
     "Afiºeazã redarea",
@@ -4090,8 +4111,8 @@
     "ID de reprise",
     "Resume ID",// TODO
     "Tallenteen paluutunniste",
-    "ID odtwarzania",
-    "Continuar ID",
+    "ID wznowienia",
+    "ID de continuación",
     "ID áíáìåôÜäïóçò",
     "Återuppta ID",
     "Identificator continuare",
@@ -4111,8 +4132,8 @@
     "MinEventTimeout (min)",
     "Minste hendelsespause (min)",
     "Tapahtuman odotusaika (min)",
-    "Min. czas do nast. akcji (Event) (min)",
-    "Tiempo mínimo pausa (min)",
+    "Minimalny czas audycji (min)",
+    "Tiempo mín. antes de un evento (m)",
     "ÅëÜ÷éóôïò ÷ñÜíïò ðáñåìâïëÞò (ëåðôÜ)",
     "Minsta händelse-pause (min)",
     "Duratã minimã emisiuni (min)",
@@ -4132,8 +4153,8 @@
     "Durée minimale d'inact. (min)",
     "Minimumstid med inaktivitet (min)",
     "Käyttäjätoiminnon odotusaika (min)",
-    "Min. brak aktywnosci uzytkownika (min)",
-    "Tiempo mínimo inactividad (min)",
+    "Minimalny czas nieaktywno¶ci (min)",
+    "Tiempo mín. de inactividad (m)",
     "ÅëÜ÷éóôïò ÷ñüíïò áíáìïíÞò (ëåðôÜ)",
     "Minsta användar-inaktivitet (min)",
     "Durata minimã de inactivitate (min)",
@@ -4153,8 +4174,8 @@
     "Temps maxi SVDRP (s)",
     "Ubrukt SVDRP-levetid (s)",
     "SVDRP-komennon odotusaika (s)",
-    "Min. brak aktywnosci SVDRP (s)",
-    "SVDRP Timeout (s)",
+    "Czas oczekiwania na SVDRP (s)",
+    "Tiempo de espera de SVDRP (sg)",
     "SVDRP äéáêïðÞ (ä)",
     "SVDRP Timeout (s)",
     "Timeout SVDRP (sec)",
@@ -4174,8 +4195,8 @@
     "Prise en compte chaîne (s)",
     "",// TODO
     "Kanavavalinnan odotusaika (s)",
-    "",// TODO
-    "",// TODO
+    "Czas oczekiwania na zap (s)",
+    "Considerar canal como visto (sg)",
     "ÆÜðéíãê äéáêïðÞ (ä)",
     "Zap timeout(s)",
     "Interval zapping (s)",
@@ -4196,8 +4217,8 @@
     "LMMJVSD",
     "MTOTFLS",
     "MTKTPLS",
-    "PWSCPSN",
-    "LMMJVSD",
+    "PW¦CPSN",
+    "LMXJVSD",
     "ÄÔÔÐÐÓÊ",
     "MTOTFLS",
     "LMMJVSD",
@@ -4217,7 +4238,7 @@
     "LunMarMerJeuVenSamDim",
     "ManTirOnsTorFreLørSøn",
     "Ma Ti Ke To Pe La Su ",
-    "PonWtoSroCzwPiaSobNie",
+    "PonWto¦roCzwPi±SobNie",
     "LunMarMieJueVieSabDom",
     "ÄåõÔñßÔåôÐÝìÐáñÓÜâKõñ",
     "MånTisOnsTorFreLörSön",
@@ -4239,8 +4260,8 @@
     " aàbcçdeéèêfghiîjklmnoôpqrstuùûvwxyz0123456789-.#~,/_@",
     "",// TODO
     " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~,/_@",
-    " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
-    " aábcdeéfghiíjklmnñoópqrstuúvwxyz0123456789-.#~,/_@",
+    " a±bcædeêfghijkl³mnñoópqrs¶tuvwxyz¼¿0123456789-.#~,/_@",
+    " aábcçdeéfghiíjklmnñoópqrstuúvwxyz0123456789-.#~,/_@",
     " áÜâãäåÝæçÞèéßêëìíîïüðñóòôõýö÷øùþ0123456789-.#~,/_@abcdefghijklmnopqrstuvwxyz",
     " abcdefghijklmnopqrstuvwxyzåäö0123456789-.#~,/_@",
     " aãâbcdefghiîjklmnopqrsºtþuvwxyz0123456789-.#~,/_@",
@@ -4261,6 +4282,8 @@
     "",//TODO
     "",//TODO
     " 0\t-.#~,/_@1\tabcäå2\tdef3\tghi4\tjkl5\tmnoö6\tpqrs7\ttuv8\twxyz9",
+    " 0\t-.#~,/_@1\tabc2±æ\tdef3ê\tghi4\tjkl5³\tmno6ñó\tpqrs7¶\ttuv8\twxyz9¼¿",
+    " 0\t-.#~,/_@1\tabcáç2\tdefé3\tghií4\tjkl5\tmnoñó6\tpqrs7\ttuvú8\twxyz9",
     "",//TODO
     "",//TODO
     "",//TODO
@@ -4268,9 +4291,7 @@
     "",//TODO
     "",//TODO
     "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    " 0\t-.#~,/_@1\tabcäå2\tdef3\tghi4\tjkl5\tmnoõö6\tpqrsð7\ttuvü8\twxyzþ9",
     "",//TODO
   },
   // Learning keys:
@@ -4283,8 +4304,8 @@
     "Apprentissage des codes de télécommande",
     "Lære fjernkontrolltaster",
     "Kaukosäätimen opettaminen",
-    "Nauka kodu pilota",
-    "Aprendiendo teclas del telemando",
+    "Nauka klawiszy pilota",
+    "Aprendiendo teclas del mando",
     "ÅêìÜèçóç ðëÞêôñùí ôçëå÷åéñéóìïý",
     "Inlärning av fjärrkontrollsknappar",
     "Învãþare taste telecomandã",
@@ -4304,8 +4325,8 @@
     "Phase 1: Détection du type de code",
     "Fase 1: Finne fjernkontroll-kodetype",
     "Vaihe 1: Koodauksen tunnistaminen",
-    "Faza 1: Detekcja typu kodu",
-    "Fase 1: Detectando tipo de receptor",
+    "Etap 1: Wykrywanie rodzaju kodu pilota",
+    "Fase 1: Detectando tipo de mando",
     "ÖÜóç 1: Áíß÷íåõóç êþäéêá RC",
     "Steg1: identifiering av kod",
     "Faza 1: Detecþia tipului telecomenzii",
@@ -4325,8 +4346,8 @@
     "Appuyer sur une touche de la télécommande",
     "Trykk en av tastene på fjernkontrollen",
     "Paina mitä tahansa kaukosäätimen näppäintä",
-    "Nacisnac klawisz pilota",
-    "Pulse una tecla en el telemando",
+    "Naci¶nij dowolny klawisz na pilocie",
+    "Pulse cualquier tecla en el mando",
     "Ðßåóå Ýíá ðëÞêôñï óôï ôçëå÷åéñéóôÞñéï",
     "Tryck valfri tangent på fjärrkontrollen",
     "Apãsaþi o tastã pe telecomandã",
@@ -4346,8 +4367,8 @@
     "Code de la télécommande détecté!",
     "Fjernkontroll-kodetype funnet!",
     "Näppäinpainallus vastaanotettu!",
-    "Kod pilota zostal poznany!",
-    "¡Código detectado!",
+    "Wykryto kod pilota!",
+    "¡Código RC detectado!",
     "ÂñÝèçêå êþäéêáò RC!",
     "Koden detekterad!",
     "S-a detectat tipul telecomenzii!",
@@ -4367,7 +4388,7 @@
     "N'appuyer sur aucune touche ...",
     "Ikke trykk på noen av tastene...",
     "Älä paina kaukosäätimen näppäimiä...",
-    "Nie naciskac klawiszy...",
+    "Nie naciskaj teraz ¿adnego klawisza...",
     "No pulse ninguna tecla...",
     "ÌÞí ðáôÜò ðëÞêôñá...",
     "Tryck inte på någon knapp...",
@@ -4388,7 +4409,7 @@
     "Phase 2: Apprentissage des codes des touches",
     "Fase 2: Lære spesifikke tastekoder",
     "Vaihe 2: Näppäinkoodien opettelu",
-    "Faza 2: Nauka pojedynczych klawiszy",
+    "Etap 2: Nauka konkretnych kodów klawiszy",
     "Fase 2: Aprendiendo códigos específicos",
     "Öáóç 2: ÅêìÜèçóç ìåìïíïìÝíùí ðëÞêôñùí",
     "Fas 2: Inlärning av specifika knapp-koder",
@@ -4409,8 +4430,8 @@
     "Appuyer sur la touche '%s'",
     "Trykk tasten for '%s'",
     "Paina näppäintä toiminnolle '%s'",
-    "Nacisnac klawisz dla '%s'",
-    "Pulsar tecla para '%s'",
+    "Naci¶nij klawisz dla '%s'",
+    "Pulse la tecla para '%s'",
     "Ðßåóå ôï ðëÞêôñï ãéÜ '%s'",
     "Tryck på knappen för '%s'",
     "Apãsaþi tasta pentru '%s'",
@@ -4430,7 +4451,7 @@
     "Appuyer sur 'Haut' pour confirmer",
     "Trykk 'Opp' for å bekrefte",
     "Hyväksy painamalla 'Ylös'",
-    "Nacisnac 'Gora' do potwierdzenia",
+    "Naci¶nij 'Do góry' aby potwierdziæ",
     "Pulse 'Arriba' para confirmar",
     "Ðßåóå 'ðÜíù' ãéÜ áðïäï÷Þ",
     "Tryck 'Upp' för att bekräfta",
@@ -4451,8 +4472,8 @@
     "Appuyer sur 'Bas' pour continuer",
     "Trykk Ned' for å fortsette",
     "Jatka painamalla 'Alas'",
-    "Nacisnac 'Dol' zeby kontynuowac",
-    "Pulse 'Abajo' para confirmar",
+    "Naci¶nij 'Na dó³' aby kontynuowaæ",
+    "Pulse 'Abajo' para continuar",
     "Ðßåóå 'êÜôù' ãéÜ óõíÝ÷åéá",
     "Tryck 'Ner' för att bekräfta",
     "Apãsaþi 'Jos' pentru continuare",
@@ -4472,7 +4493,7 @@
     "(Appuyer sur 'Haut' pour revenir en arrière)",
     "(trykk 'Opp' for å gå tilbake)",
     "(palaa takaisin painamalla 'Ylös')",
-    "(Nacisnac 'Gora' cofa)",
+    "(naci¶nij 'Do góry' aby siê cofn±æ)",
     "(Pulse 'Arriba' para retornar)",
     "(Ðßåóå 'ðÜíù' ãéÜ åðéóôñïöÞ",
     "(Tryck 'Upp' för att backa)",
@@ -4493,8 +4514,8 @@
     "(Appuyer sur 'Bas' pour terminer)",
     "(trykk 'Ned' for å avslutte innlæring)",
     "(lopeta opettaminen painamalla 'Alas')",
-    "(Nacisnac 'Dol' by zakonczyc)",
-    "(Pulse 'Abajo' para terminar programación teclas)",
+    "(naci¶nij 'Na dó³' aby zakoñczyæ definiowanie)",
+    "(Pulse 'Abajo' para terminar el aprendizaje)",
     "(Ðßåóå 'êÜôù' ãéÜ ôåñìáôéóìü äçëþóåùí ðëÞêôñùí)",
     "(Tryck 'Ner' för att avsluta inlärningen)",
     "(Apãsaþi 'Jos' pentru terminare)",
@@ -4514,8 +4535,8 @@
     "('Menu' pour passer cette touche)",
     "",// TODO
     "näppäimen puuttuessa paina 'Valikko'",
-    "(Nacisnac 'Menu' by ominac klawisz)",
-    "Pulse 'Menu' para saltarse esta tecla",
+    "(naci¶nij 'Menu' aby pomin±æ ten klawisz)",
+    "Pulse 'Menú' para omitir esta tecla",
     "Ðßåóå 'ìåíïý' ãéá ðñïóðÝñáóç áõôïý ôïý ðëÞêôñïõ",
     "(Tryck 'Meny' för att hoppa över knappen.)",
     "Apãsaþi 'Meniu' pentru a sãri peste aceastã tastã",
@@ -4535,8 +4556,8 @@
     "Phase 3: Sauvegarde des codes des touches",
     "Fase 3: Lagre tastekoder",
     "Vaihe 3: Näppäinkoodien tallentaminen",
-    "Faza 3: Zapamietac Kod",
-    "Fase 3: Guardar códigos de teclas",
+    "Etap 3: Zapisywanie kodów klawiszy",
+    "Fase 3: Guardando los códigos de teclas",
     "Öáóç 3: ÁðïèÞêåõóç êùäéêþí",
     "Fas 3: Spara knappkoder",
     "Faza 3: Salvarea codurilor de taste",
@@ -4556,7 +4577,7 @@
     "Appuyer sur 'Haut' pour sauvegarder, 'Bas' pour annuler",
     "Trykk 'Opp' for å lagre, 'Ned' for å avbryte",
     "Paina 'Ylös' tallentaaksesi ja 'Alas' peruuttaaksesi",
-    "'Gora' zapamietuje, 'Dol' przerywa",
+    "Naci¶nij 'Do góry' aby zapisaæ, 'Na dó³' - aby anulowaæ",
     "Pulse 'Arriba' para guardar, 'Abajo' para anular",
     "Ðßåóå 'ÐÜíù' ãéá áðïèÞêåõóç, 'ÊÜôù' ãéá áêýñùóç",
     "Tryck 'Upp' för att spara eller 'Ner' för att avsluta.",
@@ -4578,7 +4599,7 @@
     "Haut",
     "Opp",
     "Ylös",
-    "Gora",
+    "Do góry",
     "Arriba",
     "ÐÜíù",
     "Upp",
@@ -4599,7 +4620,7 @@
     "Bas",
     "Ned",
     "Alas",
-    "Dol",
+    "Na dó³",
     "Abajo",
     "ÊÜôù",
     "Ner",
@@ -4621,7 +4642,7 @@
     "Meny",
     "Valikko",
     "Menu",
-    "Menu",
+    "Menú",
     "Ìåíïý",
     "Meny",
     "Meniu",
@@ -4683,7 +4704,7 @@
     "Gauche",
     "Venstre",
     "Vasemmalle",
-    "Lewo",
+    "W lewo",
     "Izquierda",
     "ÁñéóôåñÜ",
     "Vänster",
@@ -4704,7 +4725,7 @@
     "Droite",
     "Høyre",
     "Oikealle",
-    "Prawo",
+    "W prawo",
     "Derecha",
     "ÄåîéÜ",
     "Höger",
@@ -4767,7 +4788,7 @@
     "Jaune",
     "Gul",
     "Keltainen",
-    "Zolty",
+    "¯ó³ty",
     "Amarillo",
     "Êßôñéíï",
     "Gul",
@@ -4809,8 +4830,8 @@
     "Info",
     "",//TODO
     "Tiedot",
-    "",//TODO
-    "",//TODO
+    "Info",
+    "Info",
     "Ðëçñïöïñßåò",
     "Info",
     "Info",
@@ -4830,7 +4851,7 @@
     "Lecture",
     "",// TODO
     "Toista",
-    "Odtworzenie",
+    "Odtwórz",
     "Reproducir",
     "ÁíáðáñáãùãÞ",
     "Spela upp",
@@ -4851,7 +4872,7 @@
     "Pause",
     "",// TODO
     "Tauko",
-    "Przerwa",
+    "Pauza",
     "Pausa",
     "Ðáýóç",
     "Pausa",
@@ -4893,7 +4914,7 @@
     "Enregistrement",
     "",// TODO
     "Tallenna",
-    "Nagrywac",
+    "Nagrywaj",
     "Grabar",
     "EããñáöÞ",
     "Spela in",
@@ -4914,8 +4935,8 @@
     "Avance rapide",
     "",// TODO
     "Pikakelaus >>",
-    "Naprzod",
-    "Adelante rápido",
+    "Do przodu",
+    "Avance rápido",
     "Ðñïþèçóç åìðñüò",
     "Snabbspolning framåt",
     "Derulare înainte",
@@ -4935,8 +4956,8 @@
     "Retour rapide",
     "",// TODO
     "Pikakelaus <<",
-    "Wstecz",
-    "Atrás rápido",
+    "Do ty³u",
+    "Retroceso rápido",
     "Ðñïþèçóç ðßóù",
     "Snabbspolning bakåt",
     "Derulare înapoi",
@@ -4956,8 +4977,8 @@
     "Veille", // This one caused some bug reports ;)
     "Power",
     "Virtakytkin",
-    "Wylaczyc",
-    "Corriente",
+    "Wy³±cz",
+    "Apagar",
     "Këåßóéìï",
     "På/Av",
     "Închidere",
@@ -4977,8 +4998,8 @@
     "Chaîne+",
     "",// TODO
     "Kanava +",
-    "Kanal+",
-    "Canal +",
+    "Kana³+",
+    "Canal+",
     "ÊáíÜëé+",
     "Kanal+",
     "Canal+",
@@ -4998,8 +5019,8 @@
     "Chaîne-",
     "",// TODO
     "Kanava -",
-    "Kanal-",
-    "Canal -",
+    "Kana³-",
+    "Canal-",
     "ÊáíÜëé-",
     "Kanal-",
     "Canal-",
@@ -5019,7 +5040,7 @@
     "Volume+",
     "Volum+",
     "Äänenvoimakkuus +",
-    "Glosnej",
+    "G³o¶niej",
     "Volumen+",
     "¸íôáóç+",
     "Volym+",
@@ -5061,7 +5082,7 @@
     "Coupure du son",
     "Lyd av",
     "Äänetön",
-    "Cisza",
+    "Wycisz",
     "Mudo",
     "Óéùðçëü",
     "Ljud Av",
@@ -5082,8 +5103,8 @@
     "Audio",
     "",// TODO
     "Ääni",
-    "",// TODO
-    "",// TODO
+    "D¼wiêk",
+    "Audio",
     "¹÷ïò",
     "Ljud",
     "Sunet",
@@ -5146,7 +5167,7 @@
     "off",
     "",// TODO
     "pois",
-    "wyl.",
+    "wy³±cz",
     "off",
     "êëåéóôü",
     "av",
@@ -5167,7 +5188,7 @@
     "aucun",
     "",// TODO
     "tyhjä",
-    "zaden",
+    "brak",
     "ninguno",
     "êáíÝíá",
     "ingen",
@@ -5209,8 +5230,8 @@
     "haut",
     "øvre",
     "yläreuna",
-    "gora",
-    "parte superior",
+    "góra",
+    "arriba",
     "ðÜíù",
     "övre",
     "sus",
@@ -5230,8 +5251,8 @@
     "bas",
     "nedre",
     "alareuna",
-    "dol",
-    "parte inferior",
+    "dó³",
+    "abajo",
     "êÜôù",
     "undre",
     "jos",
@@ -5251,7 +5272,7 @@
     "Disque",
     "Disk",
     "Levy",
-    "Disk",
+    "Dysk",
     "Disco",
     "Äßóêïò",
     "Disk",
@@ -5272,7 +5293,7 @@
     "restant",
     "ledig",
     "vapaana",
-    "pozostalo",
+    "wolnego",
     "libre",
     "Åëåýèåñïò",
     "ledigt",
@@ -5294,7 +5315,7 @@
     "Hopp: ",
     "Siirry: ",
     "Skok: ",
-    "Salta a: ",
+    "Saltar: ",
     "ÔïðïèÝôçóç: ",
     "Hopp: ",
     "Salt la: ",
@@ -5314,7 +5335,7 @@
     "Volume ",
     "Volum ",
     "Äänenvoimakkuus ",
-    "Glosnosc ",
+    "G³o¶no¶æ ",
     "Volumen ",
     "¸íôáóç ",
     "Volym ",
@@ -5335,7 +5356,7 @@
     " Arrêter la lecture",
     " Stopp avspilling",
     " Lopeta toisto",
-    " Zatrzymac odtwarzanie",
+    " Zatrzymaj odtwarzanie",
     " Parar reprodución",
     " ÔÝëïò áíáðáñáãùãÞò",
     " Avsluta uppspelning",
@@ -5356,7 +5377,7 @@
     " Arrêter l'enregistrement ",
     " Stopp opptak fra ",
     " Lopeta tallennus ",
-    " Zatrzymac nagrywanie ",
+    " Zatrzymaj nagrywanie ",
     " Parar grabación ",
     " ÔÝëïò åããáöÞò ",
     " Avsluta inspelning ",
@@ -5377,8 +5398,8 @@
     " Annuler le montage",
     " Avbryt redigering",
     " Peru muokkaus",
-    " Przerwac montaz",
-    " Anular modificación ",
+    " Anuluj edycjê",
+    " Anular edición",
     " Áêýñùóç åðåîåñãáóßáò",
     " Avbryt redigering",
     " Opreºte montajul înregistrãrii",
@@ -5398,8 +5419,8 @@
     "Changement de carte DVB primaire...",
     "Bytter første DVB-enhet...",
     "Vaihdetaan ensisijaista DVB-sovitinta...",
-    "Pierwszy interfejs DVB przelacza...",
-    "Cambio al interface DVB primario...",
+    "Przê³±czam na pierwszy interfejs DVB...",
+    "Cambiando el interfaz DVB primario...",
     "Ç êýñéá DVB êÜñôá áëëÜæåé...",
     "Byter primär DVB enhet...",
     "Comut dispozitiv DVB primar...",
@@ -5419,8 +5440,8 @@
     "Haut/Bas -> nouvelle place - OK -> déplacer",
     "Opp/Ned for ny plass - OK for å flytte",
     "'Ylös/Alas' uusi paikka - 'OK' hyväksy",
-    "Gora/Dol na nowa pozycje - Ok zmienia",
-    "Arriba/Abajo para el nuevo lugar - OK para mover",
+    "Do góry/Na dó³ na now± pozycjê - Ok zatwierdza",
+    "Arriba/Abajo para mover - OK para confirmar",
     "ÐÜíù/ÊÜôù ãéÜ íÝá èÝóç. ÌåôÜ ÏÊ",
     "Upp/Ner för nya platsen - därefter OK för att flytta",
     "Sus/Jos pentru noua locaþie - OK pentru a muta",
@@ -5440,8 +5461,8 @@
     "Opération de montage lancée",
     "Redigeringsprosess startet",
     "Muokkaus aloitettu",
-    "Uruchomiony proces montazu",
-    "Proceso modificación iniciado",
+    "Proces edycji rozpoczêty",
+    "Proceso de edición iniciado",
     "Áñ÷éóå ç åðåîåñãáóßá",
     "Redigeringen startar",
     "Montajul înregistrãrii a început",
@@ -5461,8 +5482,8 @@
     "Montage terminé",
     "Redigeringsprosess avsluttet",
     "Muokkaus valmis",
-    "Proces montazu zakonczony",
-    "Proceso de modificación terminado",
+    "Proces edycji zakoñczony",
+    "Proceso de edición terminado",
     "Ç åðåîåñãáóßá ôåëåßùóå",
     "Redigering avslutad",
     "Montajul înregistrãrii s-a terminat",
@@ -5470,7 +5491,7 @@
     "Procés d'edició finalitzat",
     "¼ÞÝâÐÖ ÞÚÞÝçÕÝ",
     "Rezanje zavr¹eno",
-    "Redigeerimine on lõpetatud",
+    "Redigeerimine lõpetatud",
     "Redigeringsproces afsluttet",
   },
   { "Editing process failed!",
@@ -5482,8 +5503,8 @@
     "Echec du montage!",
     "Feil under redigering!",
     "Muokkaus epäonnistui!",
-    "Bledny proces montazu!",
-    "Modificación ha fallado!",
+    "Proces edycji nie powiód³ siê!",
+    "¡Proceso de edición fallido!",
     "Ç åðåîåñãáóßá áðÝôõ÷å!",
     "Redigeringsprocessen misslyckades",
     "Montajul înregistrãrii a eºuat",
@@ -5503,6 +5524,8 @@
     "",//TODO
     "",//TODO
     "Tallennus aloitettu",
+    "Rozpoczêto nagrywanie",
+    "Iniciando grabación",
     "",//TODO
     "",//TODO
     "",//TODO
@@ -5510,9 +5533,7 @@
     "",//TODO
     "",//TODO
     "",//TODO
-    "",//TODO
-    "",//TODO
-    "",//TODO
+    "Salvestamine algas",
     "",//TODO
   },
   { "Pausing live video...",
@@ -5524,8 +5545,8 @@
     "Pause de l'émission en direct...",
     "",// TODO
     "Pysäytetään lähetys...",
-    "Zatrzymany program biezacy...",
-    "Emisión en directo parada...",
+    "Pauzujê program na ¿ywo...",
+    "Pausa de la emisión en directo...",
     "ÐÜãùìá æùíôáíïý óÞìáôïò",
     "Pausar direktinspelningen",
     "Trec în pauzã emisiunea transmisã...",
@@ -5545,8 +5566,8 @@
     "Mise à jour du guide des programmes",
     "",// TODO
     "Ohjelmaoppaan päivitys aloitettu",
-    "",// TODO
-    "",// TODO
+    "Rozpoczynam skanowanie EPG",
+    "Iniciando la exploración de EPG",
     "Áñ÷Þ óÜñùóç EPG",
     "Påbörjar EPG skanning",
     "Pornesc achiziþia EPG",
